Package org.codehaus.groovy.ast.tools

# Enum Class GeneralUtils.ConditionValue

java.lang.Object
java.lang.Enum<GeneralUtils.ConditionValue>
org.codehaus.groovy.ast.tools.GeneralUtils.ConditionValue

All Implemented Interfaces:
  `Serializable`, `Comparable<GeneralUtils.ConditionValue>`, `Constable`

Enclosing class:
  GeneralUtils

public static enum GeneralUtils.ConditionValue extends Enum<GeneralUtils.ConditionValue>
Represents the compile-time constant value of a boolean loop-condition or branch expression. Used by flow analysis to avoid emitting unreachable bytecode.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALWAYS_FALSE`
  The boolean expression always evaluates to `false`.
  `ALWAYS_TRUE`
  The boolean expression always evaluates to `true`.
  `UNKNOWN`
  The value cannot be determined at compile time.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GeneralUtils.ConditionValue`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GeneralUtils.ConditionValue[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALWAYS_FALSE

    public static final GeneralUtils.ConditionValue ALWAYS_FALSE
    The boolean expression always evaluates to `false`.

  - ### ALWAYS_TRUE

    public static final GeneralUtils.ConditionValue ALWAYS_TRUE
    The boolean expression always evaluates to `true`.

  - ### UNKNOWN

    public static final GeneralUtils.ConditionValue UNKNOWN
    The value cannot be determined at compile time.

- ## Method Details

  - ### values

    public static GeneralUtils.ConditionValue[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GeneralUtils.ConditionValue valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null